package com.zskk.dicom.monitor.monitors;

import java.io.File;
import java.nio.file.Path;

/**
 * 文件操作的回调方法
 */
public abstract class FileActionCallback {
	/**
	 * 文件被删除
	 * @param file
	 */
	public abstract void delete(File file);

	/**
	 * 文件被修改
	 * @param file
	 */
	public abstract void modify(File file);

	/**
	 * 文件被创建
	 * @param file
	 */
	public abstract void create(File file);
}
