package com.zskk.dicom.monitor.queue;

/**
 * 遗存上传队列(单例)
 */
public class OldUploadQueue extends BaseStringQueue {
    private OldUploadQueue() {
        super("OldUploadQueue");
    }

    @Override
    public String getQueueName() {
        return "OldUploadQueue";
    }

    private static class OldUploadQueueHolder {
        private static OldUploadQueue instance = new OldUploadQueue();
    }

    public static OldUploadQueue getInstance() {
        return OldUploadQueueHolder.instance;
    }
}
