package com.zskk.dicom.monitor.runner;

import com.zskk.dicom.monitor.queue.IQueue;

/**
 * 移动文件runner抽象类
 */
public abstract class AbstractRemoveRunner extends BaseRunner implements IRemove{

    AbstractRemoveRunner(IQueue<String> queue) {
        super(queue);
    }

    @Override
    protected boolean handle() {
        return remove();
    }

    @Override
    protected RunnerAction action() {
        return RunnerAction.REMOVE;
    }
}
