package com.zskk.dicom.monitor.schedules;

import com.zskk.dicom.monitor.config.Configs;
import org.springframework.context.annotation.Lazy;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

@Component
@EnableScheduling
@Lazy(false)
public class StartTimer {
    DateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    /**
     * 每小时重启一次
     */
//    @Scheduled(cron = "0 0 * * * ?")
    public void timmer_1() {
        Configs.sysLog.info("Scheduled--" + df.format(new Date()));
        StatRunner.start();
    }
}
