package com.zskk.dicom.monitor.uploader;

import com.zskk.dicom.monitor.config.Configs;
import org.apache.commons.io.FileUtils;
import org.apache.http.util.TextUtils;

import java.io.File;
import java.util.Iterator;
/**
 *
 * 功能描述: 老文件加入队列
 *
 * @param:
 * @return: 
 * @auther: zzp
 * @date: 2019/3/20 21:07
 */
public class HistoryFileQuenuRunner implements Runnable {
    @SuppressWarnings("static-access")
    @Override
    public void run() {
        //读取监控文件夹
        File dir = new File(Configs.monitorDir);
        Iterator<File> its = FileUtils.iterateFiles(dir, TextUtils.isEmpty(Configs.suffix) ? null: new String[]{Configs.suffix}, true);
        while(its.hasNext()){
            File file = its.next();
            if(file.exists() && file.isFile()) {
                UploadsQueue.add(new File(file.getAbsolutePath()));
            }
        }
        //读取重试监控文件夹
        File dirRetry = new File(Configs.monitorRetryDir);
        Iterator<File> itsRetry = FileUtils.iterateFiles(dirRetry, TextUtils.isEmpty(Configs.suffix) ? null: new String[]{Configs.suffix}, true);
        while(itsRetry.hasNext()){
            File file = itsRetry.next();
            if(file.exists() && file.isFile()) {
                UploadsQueue.addFail(new File(file.getAbsolutePath()));
            }
        }


    }
}
